Skip to content
Myra Online Help Updated · 21 Aug 2026

Listing all configuration of a domain

Sends a GET request to the endpoint /domains/{id}.

Description

The List-Domains request allows the user to request a list of configurations for a domain of the organisation.

Requirements

Values of the request: Domain-ID {id}

Objects: none

Request

To request a list of configurations of a domain, the Domain-ID {id} needs to be added to the path of the request.

As a result, the user gets an object DomainVO with the requested information.

The object provides the following information:

Attributes Description Values
name The name of the domain. string
organizationId The ID of the organisation in the Myra app under which the domain was created. string
autoUpdate The availability of the auto update for the domain.
  • true
  • false
maintenance The availability of an existing maintenance page for the selected domain.
  • true
  • false
dnsRecords An array with one or more objects DnsRecordVO with information about the DNS records of the domain. For more information, see the endpoint GET /domain/{domainId}/load-balancing.
reversed A boolean showing if the domain is in reverse domain name notation.
  • true
  • false
environment The environment type of the domain. The environment type test can be used to set up a configuration and check it together with Myra support before it is rolled out.
  • live
  • test
locked Defines whether the domain is locked in the system. Locking differs from deletion, because the domain remains as an existing entry.
  • true
  • false
id The ID of the entry. integer
modified The last modification date in ISO 8601 format. string($date-time)
created The creation date in ISO 8601 format. string($date-time)

Example

Example response:

[
  {
    "objectType": "string",
    "name": "string",
    "organizationId": 0,
    "autoDns": true,
    "autoUpdate": true,
    "maintenance": true,
    "paused": true,
    "pausedUntil": "string",
    "template": "string",
    "dnsRecords": [
      {
        "objectType": "string",
        "name": "string",
        "value": "string",
        "priority": 0,
        "ttl": 0,
        "vhostId": 0,
        "recordType": "string",
        "weight": 0,
        "port": 0,
        "active": true,
        "paused": true,
        "sslCertTemplate": "string",
        "upstreamOptions": "string",
        "alternativeCname": "string",
        "environment": "string",
        "caaFlags": 0,
        "caaTag": "string",
        "endpoints": "string",
        "serviceType": 0,
        "encryption": "string",
        "identificationNumber": "string",
        "hashType": "string",
        "id": 0,
        "modified": "string",
        "created": "string",
        "enabled": true,
        "comment": "string"
      }
    ],
    "reversed": true,
    "environment": "string",
    "locked": true,
    "tagId": 0,
    "permissions": "string",
    "id": 0,
    "modified": "string",
    "created": "string",
    "label": "string"
  }
]

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
400 The request was unsuccessful. The request was invalid or information is missing.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.